%define		major 9
%define		api_version 2.1
%define		gir_major 2.1
%define		libname	%mklibname mirage %major
%define		devname	%mklibname mirage -d
%define		girname %mklibname mirage-gir %{gir_major}

Name:		libmirage
Version:	2.1.1
Summary:	CD-ROM image access library
Release:	%mkrel 2
Source:		http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Group:		System/Libraries
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	libbzip2-devel
BuildRequires:	gtk-doc
BuildRequires:	cmake
BuildRequires:	%{_lib}samplerate-devel

%description
The aim of libMirage is to provide uniform access to the data stored in
different image formats, by creating a representation of disc stored in image
file, which is based on GObjects. There are various objects that represent
different parts of the disc; disc, session, track, sector, etc. In addition to
providing access to data provided by the image file, libMirage is also capable
of generating some of the data that might not be present in image file. For
instance, ISO image provides only user data from sector, without sync pattern,
header, ECC/EDC codes or subchannel. When this missing data is requested,
libMirage will transparently generate it.

%package common
Summary:	CD-ROM image access library - common files
Group:		System/Libraries
Obsoletes:	%{_lib}mirage-plugins < 1.3.0
# to ease upgrades (old libmirageX depend on this):
Provides:	%{_lib}mirage-plugins = %{version}

%description common
Image access plugins for libMirage.

%package -n %libname
Summary:	CD-ROM image access library - shared library
Group:		System/Libraries
Requires:	%{name}-common >= %{version}-%{release}

%description -n %libname
Shared libraries of libMirage for software using it.

%package -n %devname
Summary:	CD-ROM image access library - development headers
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mirage-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
# to ease upgrade - in reality the static lib was dropped
Obsoletes:	%{_lib}mirage-static-devel

%description -n %devname
Development headers for developing software using libMirage.

The aim of libMirage is to provide uniform access to the data stored in
different image formats, by creating a representation of disc stored in image
file, which is based on GObjects. There are various objects that represent
different parts of the disc; disc, session, track, sector, etc. In addition to
providing access to data provided by the image file, libMirage is also capable
of generating some of the data that might not be present in image file. For
instance, ISO image provides only user data from sector, without sync pattern,
header, ECC/EDC codes or subchannel. When this missing data is requested,
libMirage will transparently generate it.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

# See Mandriva bug #58086
# The mirage defined mime types shadow the fd.o mimetypes, defining an alias
# to the standard name. For example, *.iso files get classified as
# "application/libmirage-iso". The mirage .xml file does define an alias
# "application/x-cd-image". However, the fd.o shared-mime-info specification
# forbids having aliases that conflict with mimetypes defined elsewhere. 
# Therefore at least KDE ignores such aliases, causing .iso and .cue pointing
# to the libmirage mime types only.
# For now, lessen the priorities and weights of libmirage definitions so that
# fd.o provided mimetype definitions take priority. - Anssi 04/2010
sed -i -e 's,priority="50",priority="48",' -e 's,glob pattern,glob weight="48" pattern,' src/parsers/*/libmirage-*.xml

%build
%cmake
%make

%install
cd build
%makeinstall_std

%files common
%{_datadir}/mime/packages/libmirage-*.xml

%files -n %libname
%{_libdir}/%{name}-%{api_version}
%{_libdir}/libmirage.so.%{major}*

%files -n %devname
%doc README AUTHORS
%{_includedir}/%{name}
%{_libdir}/libmirage.so
%{_libdir}/pkgconfig/libmirage.pc
%{_datadir}/gir-1.0/libMirage-%{gir_major}.gir
%{_datadir}/gtk-doc/html/libmirage

%files -n %girname
%{_libdir}/girepository-1.0/libMirage-%{gir_major}.typelib


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 544387
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 2.1.1-1.mga4
+ Revision: 499494
- new version 2.1.1

* Tue Jul 02 2013 dams <dams> 2.1.0-1.mga4
+ Revision: 449559
- new version 2.1.0
- update major
- update api_version
- update gir_major

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 357768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335769
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220411
- new version 1.5.0
- new major
- drop patch applied upstream

* Sat Dec 03 2011 anssi <anssi> 1.4.0-1.mga2
+ Revision: 175636
- new version
- rediff format-security.patch
- drop now unneeded linkage.patch

* Sat Jan 15 2011 anssi <anssi> 1.3.0-2.mga1
+ Revision: 19639
- clarify Mandriva bugzilla reference
- imported package libmirage


* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 575728
- new version
- drop static library
- move plugins to main library package, to a major-specific directory
- add common subpackage for mimetype files
- remove old compatibility cruft

* Sat Apr 17 2010 Anssi Hannula <anssi@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 536052
- lower the priorities and weights of mimetype definitions, preferring
  the fd.o defined types over libmirage ones (fixes #58086)

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472891
- really rediff patch
- New version 1.2.0

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - rediff patch1

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 1.1.1-3mdv2010.0
+ Revision: 438712
- rebuild

* Tue Jan 27 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.1-2mdv2009.1
+ Revision: 334081
- bump rel, re-submit
- move mime types to the plugins' package
- Release 1.1.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn302.1mdv2009.0
+ Revision: 196922
- initial Mandriva release

